#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main(int argc, char**argv){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
ll n, l; cin >> n >> l;
ll rez = -1, i = 0;
while ( (rez == -1) && (i < n) ){
    ll x; cin >> x;
    i++;
    if( x <= l ){
        rez = i;
        break;
    }


}
cout << rez;


return 0;
}